> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new Insurance Provider

> Onboarding endpoint for registering a new insurance provider



## OpenAPI

````yaml post /api/v1/onboarding/providers/registration/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/onboarding/providers/registration/:
    post:
      tags:
        - Providers' Onboarding
      summary: Register a new Insurance Provider
      description: Onboarding endpoint for registering a new insurance provider
      operationId: v1_onboarding_providers_registration_create
      parameters:
        - in: header
          name: U-Request-Id
          schema:
            type: string
          description: Idempotency key to enforce idempotent processing of POST requests
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderOnboarding'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ProviderOnboarding'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ProviderOnboarding'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderOnboarding'
          description: Provider registered successfully
        '400':
          description: Bad or invalid request
        '500':
          description: Internal server error
      security:
        - ClientKeyAuth: []
components:
  schemas:
    ProviderOnboarding:
      type: object
      properties:
        provider_id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          description: >-
            Registered business name of the insurance provider e.g Unyte
            Insurance Group
          maxLength: 80
        support_email:
          type: string
          format: email
          description: Support email address of the insurance provider
        support_phone:
          type: string
          writeOnly: true
          description: Contact phone number of the insurance provider
      required:
        - name
        - provider_id
        - support_email
        - support_phone
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````